Bug 828008 - This package is completely unusable in Fedora 17
This package is completely unusable in Fedora 17
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xchat-ruby (Show other bugs)
17
All All
unspecified Severity high
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 21:05 EDT by Roland Pallai
Modified: 2012-06-06 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 20:14:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A fix for the problem (383 bytes, patch)
2012-06-03 21:05 EDT, Roland Pallai
no flags Details | Diff

  None (edit)
Description Roland Pallai 2012-06-03 21:05:07 EDT
Created attachment 588992 [details]
A fix for the problem

Description of problem:
The STR2CSTR() function has been removed in ruby-1.9.2, but xchat-ruby still depends on it.

Compiler warning on rebuild:
"xchat-ruby.c:395:3: warning: implicit declaration of function ‘STR2CSTR’ [-Wimplicit-function-declaration]"

Version-Release number of selected component (if applicable):
1.2-12

How reproducible: 100%

Steps to Reproduce:
1. just try to use the package
2.
3.
  
Actual results:
XChat drops an error in the main window:
"AutoLoad failed for: /usr/lib64/xchat/plugins/xchat-ruby.so
 /usr/lib64/xchat/plugins/xchat-ruby.so: undefined symbol: STR2CSTR"

Expected results:
.

Additional info:
A simple fix attached; it's broke ruby-1.8 compatility at the same time.
Comment 1 Conrad Meyer 2012-06-04 22:32:11 EDT
Building with patch for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4127663

Assuming that builds we'll pull to F-17, which looks to be the first version of Fedora with ruby-1.9.x.
Comment 2 Thomas Moschny 2012-06-05 05:01:47 EDT
Resetting component.
Comment 3 Roland Pallai 2012-06-05 12:19:26 EDT
Hi Conrad,

It builds in my current Rawhide.

Can you send the error messages (aka "build.log")? - Maybe I can figure out what's wrong.
Comment 4 Conrad Meyer 2012-06-05 12:46:01 EDT
Here's the log:
http://koji.fedoraproject.org/koji/getfile?taskID=4127665&name=build.log

Patch is just (slightly) bad; this line "+++ xchat-ruby-1.2-src/src/xchat-ruby.c.orig" shouldn't have ".orig".

New build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4129608
Comment 5 Conrad Meyer 2012-06-05 12:53:48 EDT
That passed; here's F-17:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4129646
Comment 6 Fedora Update System 2012-06-05 13:12:18 EDT
xchat-ruby-1.2-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xchat-ruby-1.2-13.fc17
Comment 7 Roland Pallai 2012-06-05 18:39:38 EDT
Thanks for fixing the patch.

The new build works fine.
Comment 8 Conrad Meyer 2012-06-05 20:14:29 EDT
Cool, thanks for trying it out. I'll close this now as the update is on its way to F-17. Thanks.
Comment 9 Fedora Update System 2012-06-06 22:54:36 EDT
xchat-ruby-1.2-13.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.